Skip to content

List of event details.

GET
/api/infraprotect/namespaces/{namespace}/infraprotect/event/{event_id}/details
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect/event/example/details \
--header 'Authorization: <Authorization>'

Returns a list of event details. The list contains event details entered by customer and the SOC team members, mitigation annotations and any attachments.

Examples of this operation.

namespace
required
string

Namespace This request is supported only in system namespace.

event_id
required
string

Event ID Event ID we want to list the event details for.

A successful response.

Media typeapplication/json
List event details response

All details of the event.

object
details
Event details

List of event details the event may have.

Array<object>
Event detail

Event detail represents a single occurrence of event detail, that tracks customer, SOC notes on a given event.

object
attachments
Attachments

All attachments on an event details.

Array<object>
Event attachment

Event attachment record (pcap, or any arbitrary file)

object
attachment_id
Attachment ID

ID of the attachment.

string
<= 1024 characters
attachment_type
string
default: ATTACHMENT_TYPE_UNKNOWN
Allowed values: ATTACHMENT_TYPE_UNKNOWN ATTACHMENT_TYPE_PCAP ATTACHMENT_TYPE_BINARY ATTACHMENT_TYPE_INVALID_PCAP ATTACHMENT_TYPE_OTHER
end_time
End time

End time as an RFC3339 string.

string format: date-time
<= 1024 characters
gos_name
GOS name

Generic object storage name of the attachment.

string
<= 1024 characters
gos_version
GOS version

Generic object storage version of the attachment.

string
<= 1024 characters
name
Name

Name of the attachment.

string
>= 6 characters <= 1024 characters
size_bytes
Size

Size of the attachment.

string format: int64
<= 1024 characters
start_time
Start time

Start time as an RFC3339 string.

string format: date-time
<= 1024 characters
creator
Creator

Creator of the event detail.

string
<= 1024 characters
description
Description

Textual description of the event detail record.

string
>= 21 characters <= 1024 characters
id
Id

ID of the event detail used to uniquely identify it.

string
>= 1 <= 4094 <= 1024 characters
time
Time

Time the event details applies to. Details can be added retrospectively this fields allow pin point to detail to a specific time. The value must fall within the event time range.

string format: date-time
<= 1024 characters
title
Title

Title of the event detail.

string
>= 6 characters <= 1024 characters
Example
{
"details": [
{
"attachments": [
{
"attachment_type": "ATTACHMENT_TYPE_UNKNOWN"
}
]
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example